Package: groovy.json.internal

## [Java] Class ValueList

- groovy.json.internal.ValueList

- All Implemented Interfaces and Traits:
    List

      public class ValueList
      extends AbstractList

  Authors:
    Rick Hightower

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ValueList (boolean lazyChop)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `add(Object obj)`
    `void` | `chopList()`
    `void` | `clear()`
    `Object` | `get(int index)`
    `Iterator<Object>` | `iterator()`
    `List<Object>` | `list()`
    `int` | `size()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractList` | `add, add, remove, get, equals, hashCode, indexOf, clear, lastIndexOf, subList, addAll, iterator, set, listIterator, listIterator, remove, toString, contains, isEmpty, size, toArray, toArray, addAll, containsAll, removeAll, retainAll, wait, wait, wait, getClass, notify, notifyAll, size`
    `class AbstractCollection` | `add, remove, toString, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, containsAll, removeAll, retainAll, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ValueList(boolean lazyChop)

  - ### Method Detail

    - #### public boolean add(Object obj)

    - #### public void chopList()

    - #### public void clear()

    - #### public Object get(int index)

    - #### public Iterator<Object> iterator()

    - #### public List<Object> list()

    - #### public int size()